Package: groovy.org.codenarc.rule.junit

## [Groovy] Class UseAssertSameInsteadOfAssertTrueRule

- groovy.org.codenarc.rule.junit.UseAssertSameInsteadOfAssertTrueRule

- This rule detects JUnit calling assertTrue where the first or second parameter is an Object#is() call testing for reference equality. These assertion should be made against the assertSame method instead.

  Authors:
    Hamlet D'Arcy

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `String` | `applyToClassNames`
    `Class` | `astVisitorClass`
    `String` | `name`
    `int` | `priority`

- - ### Property Detail

    - #### String applyToClassNames

    - #### Class astVisitorClass

    - #### String name

    - #### int priority